// creator  : weidu.exe (version 23100)
// argument : DRUID2.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~DRUID2~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #2 /* Triggers after states #: 1 even though they appear after this state */
~True()
~ THEN BEGIN 0 // from:
  SAY #341 /* ~He is alive? Wonderful! Lord de'Arnise is my father, and much preferable to Aunty. Quickly, we must rout these creatures while father is still there to save!~ */
  IF ~~ THEN REPLY #10096 /* ~We have questions about the druids. This is close to the heart of Jaheira, and she demands an answer.~ */ GOTO 3
  IF ~~ THEN REPLY #10097 /* ~Spend some time and remind each other how to love. I release you from my service.~ */ GOTO 4
END

IF WEIGHT #0 ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 1 // from:
  SAY #6125 /* ~I am no weak-willed goody two-shoes. I take what I want, when I want!~ */
  IF ~~ THEN JOURNAL #6590 /* ~The Drow Summoning Ritual

I gave Phaere the eggs that Solaufein had given me... and it seems that she has been fooled into thinking they are the real ones.  The real eggs are still in my possession... and both Phaere and Matron Ardulace think they have the real eggs for the upcoming ritual.
Phaere has gone onwards to the Temple of Lolth and has commanded me to follow right away.~ */ EXIT
END

IF ~~ THEN BEGIN 2 // from:
  SAY #8980 /* ~I am called Cernd, and we have business to discuss.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 3 // from: 0.0
  SAY #10098 /* ~Thank you for both your understanding and your friendship, m'<PRO_LADYLORD>.  Come... let us be off to my estate so that I may meet with Maria and put this behind me.~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 4 // from: 0.1
  SAY #10099 /* ~Have I ever told you how it is that I came to flee from the Underdark?~ [VICONI82] */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END
